<div class="login-box">
  <div class="card card-outline card-primary">
    <div class="card-header text-center">
      <h1>{{title}}</h1>
    </div>
    <div class="card-body">
      <p class="login-box-msg">Estás a solo un paso de tu nueva contraseña, recupera tu contraseña ahora.</p>
      <p *ngIf="errorMessage" class="text-danger login-box-msg">{{errorMessage}}</p>
      <form role="form" [formGroup]="formRecuperar" autocomplete="off">
        <div class="input-group" [ngClass]="{'mb-3': !hasError('email')}">
          <input type="email" class="form-control" (keyup)="limpiarErrores('email')" formControlName="email" [ngClass]="{'is-valid': formRecuperar.controls['email'].valid, 'is-invalid': hasError('email') || hasError('email', 'email')}" placeholder="Correo electrónico">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('email')" class="mb-3">
          <span *ngFor="let errorEmail of errores.email" class="text-danger">{{errorEmail}}</span>
        </div>
        <div class="input-group" [ngClass]="{'mb-3': !hasError('codigo')}">
          <input type="text" class="form-control" (keyup)="limpiarErrores('codigo')" formControlName="codigo" [ngClass]="{'is-valid': formRecuperar.controls['codigo'].valid, 'is-invalid': hasError('codigo')}" placeholder="Codigo">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-barcode"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('codigo')" class="mb-3">
          <span *ngFor="let errorCodigo of errores.codigo" class="text-danger">{{errorCodigo}}</span>
        </div>
        <div class="input-group" [ngClass]="{'mb-3': !hasError('password')}">
          <input type="password" class="form-control" (keyup)="limpiarErrores('password')" formControlName="password" [ngClass]="{'is-valid': formRecuperar.controls['password'].valid, 'is-invalid': hasError('password')}" placeholder="Contraseña">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('password')" class="mb-3">
          <span *ngFor="let errorPass of errores.password" class="text-danger">{{errorPass}}</span>
        </div>
        <div class="input-group" [ngClass]="{'mb-3': !hasError('password_confirmation')}">
          <input type="password" class="form-control" (keyup)="limpiarErrores('password_confirmation')" formControlName="password_confirmation" [ngClass]="{'is-valid': formRecuperar.controls['password_confirmation'].valid, 'is-invalid': hasError('password_confirmation')}" placeholder="Repetir contraseña">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div *ngIf="hasError('password_confirmation')" class="mb-3">
          <span *ngFor="let errorPassCon of errores.password_confirmation" class="text-danger">{{errorPassCon}}</span>
        </div>
        <div class="row">
          <div class="col-12">
            <button type="submit" [disabled]="loading" (click)="onSubmit()" class="btn btn-primary btn-block"><i *ngIf="loading" class="fas fa-spinner fa-pulse"></i> Cambiar contraseña</button>
          </div>
        </div>
      </form>

      <p class="mt-3 mb-1">
        <a routerLink="/login">Iniciar sesion</a>
      </p>
    </div>
  </div>
</div>
